CVE-2006-0098
CVSS4.6
发布时间 :2006-01-06 06:03:00
修订时间 :2008-09-05 16:58:21
NMCO    

[原文]The dupfdopen function in sys/kern/kern_descrip.c in OpenBSD 3.7 and 3.8 allows local users to re-open arbitrary files by using setuid programs to access file descriptors using /dev/fd/.


[CNNVD]OpenBSD DEV/FD任意文件访问漏洞(CNNVD-200601-032)

        OpenBSD是一款开放源代码操作系统。
        OpenBSD可能允许本地攻击者访问任意文件,这可能导致泄漏敏感信息。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:openbsd:openbsd:3.8OpenBSD 3.8
cpe:/o:openbsd:openbsd:3.7OpenBSD 3.7

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0098
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0098
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200601-032
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/16144
(PATCH)  BID  16144
http://www.openbsd.org/errata37.html#fd
(PATCH)  OPENBSD  [3.7] 20060105 008: SECURITY FIX: January 5, 2006
http://secunia.com/advisories/18296
(VENDOR_ADVISORY)  SECUNIA  18296
ftp://ftp.openbsd.org/pub/OpenBSD/patches/3.7/common/008_fd.patch
(PATCH)  MISC  ftp://ftp.openbsd.org/pub/OpenBSD/patches/3.7/common/008_fd.patch
http://www.osvdb.org/22231
(UNKNOWN)  OSVDB  22231
http://securitytracker.com/id?1015437
(UNKNOWN)  SECTRACK  1015437

- 漏洞信息

OpenBSD DEV/FD任意文件访问漏洞
中危 资料不足
2006-01-06 00:00:00 2006-01-09 00:00:00
本地  
        OpenBSD是一款开放源代码操作系统。
        OpenBSD可能允许本地攻击者访问任意文件,这可能导致泄漏敏感信息。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        OpenBSD OpenBSD 3.7
        ftp://ftp.openbsd.org/pub/OpenBSD/patches/3.7/common/008_fd.patch
        OpenBSD OpenBSD 3.8
        OpenBSD Patch 002_fd.patch
        ftp://ftp.openbsd.org/pub/OpenBSD/patches/3.8/common/002_fd.patch

- 漏洞信息

22231
OpenBSD suid Programs /dev/fd File Re-Open Issue
Local Access Required Other
Loss of Integrity
Exploit Unknown

- 漏洞描述

OpenBSD contains a flaw that may allow a malicious user to elevate certain privileges. The issue is triggered when an executable with the SUID bit set can be convinced to re-read a file via /dev/fd. This may result in a loss of integrity.

- 时间线

2006-01-05 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, OpenBSD has released a patch to address this vulnerability. Users of OpenBSD 3.7 should apply security fix 008. Users of OpenBSD 3.8 should apply security fix 002.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站